package main

import (
	"log"

	goshutdowner "git.jlel.se/jlelse/go-shutdowner"
)

func main() {

	// Declare shutdowner
	var sd goshutdowner.Shutdowner

	// Add a function to execute on shutdown
	sd.Add(func() {
		log.Println("Shutdown")
	})

	log.Println("Started")

	// CTRL + C or otherwise interrupt the program

	// Wait for shutdowner to finish
	sd.Wait()

}
